Bug 248237 - databases/ateam_mysql57_ldap_auth: Specify MySQL version in USES clause
Summary: databases/ateam_mysql57_ldap_auth: Specify MySQL version in USES clause
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Ganbold Tsagaankhuu
URL:
Keywords: needs-qa
Depends on:
Blocks:
 
Reported: 2020-07-24 06:43 UTC by Ganbold Tsagaankhuu
Modified: 2020-08-16 14:38 UTC (History)
1 user (show)

See Also:
fernape: merge-quarterly-


Attachments
patch specifies mysql version in USES. (345 bytes, patch)
2020-07-24 06:56 UTC, Ganbold Tsagaankhuu
no flags Details | Diff
patch specifies mysql version in USES (updated) (619 bytes, patch)
2020-08-08 10:18 UTC, Ganbold Tsagaankhuu
no flags Details | Diff
Updated patch (459 bytes, patch)
2020-08-10 10:32 UTC, Ganbold Tsagaankhuu
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ganbold Tsagaankhuu freebsd_committer 2020-07-24 06:43:01 UTC
Specify mysql version in USES, in other words:

USES=           gmake mysql:57,client,server
Comment 1 Ganbold Tsagaankhuu freebsd_committer 2020-07-24 06:56:19 UTC
Created attachment 216738 [details]
patch specifies mysql version in USES.
Comment 2 Fernando Apesteguía freebsd_committer 2020-07-24 06:59:37 UTC
^Triage: Reporter is committer, assign accordingly.
[tags] in issue Titles are deprecated.

I would bump PORTREVISION for this one.
Comment 3 Fernando Apesteguía freebsd_committer 2020-07-24 07:20:53 UTC
databases/ateam_mysql57_ldap_auth was added in ports r541991 and is not present in 2020Q3
Comment 4 Ganbold Tsagaankhuu freebsd_committer 2020-07-31 02:43:02 UTC
Any updates on this?

thanks,
Comment 5 Ganbold Tsagaankhuu freebsd_committer 2020-08-08 10:18:23 UTC
Created attachment 217090 [details]
patch specifies mysql version in USES (updated)

The patch is updated.
Comment 6 Ganbold Tsagaankhuu freebsd_committer 2020-08-10 10:32:19 UTC
Created attachment 217128 [details]
Updated patch
Comment 7 Fernando Apesteguía freebsd_committer 2020-08-10 16:45:34 UTC
(In reply to Ganbold Tsagaankhuu from comment #6)

Hi Ganbold,

Would you commit this?
Comment 8 Ganbold Tsagaankhuu freebsd_committer 2020-08-11 06:37:08 UTC
I can. Can I put your name in Approved by?

thanks,
Comment 9 Fernando Apesteguía freebsd_committer 2020-08-11 06:53:05 UTC
(In reply to Ganbold Tsagaankhuu from comment #8)

If you don't mind waiting a few hours, I'll check the patch again and do some build tests.
Comment 10 Fernando Apesteguía freebsd_committer 2020-08-11 16:37:44 UTC
Builds fine in {11.4,12.1}{amd64,i386} and 13-current amd64.

LGTM!

Note: portclippy reports some variables out of order. You may want to have a look at that in the future :-)

Thanks!
Comment 11 commit-hook freebsd_committer 2020-08-12 02:54:44 UTC
A commit references this bug:

Author: ganbold
Date: Wed Aug 12 02:54:28 UTC 2020
New revision: 544734
URL: https://svnweb.freebsd.org/changeset/ports/544734

Log:
  Specify mysql version in USES.

  PR:	248237
  Approved by:	fernape@
  Sponsored by:	A-Team Systems, LLC

Changes:
  head/databases/ateam_mysql57_ldap_auth/Makefile
Comment 12 Ganbold Tsagaankhuu freebsd_committer 2020-08-12 03:04:29 UTC
Can I commit it to Q3 quarterly branch?

thank you
Comment 13 Fernando Apesteguía freebsd_committer 2020-08-12 05:31:20 UTC
(In reply to Ganbold Tsagaankhuu from comment #12)

There is no need. See comment #3

svn co svn+ssh://repo.freebsd.org/ports/branches/2020Q3/databases/ateam_mysql57_ldap_auth
svn: E170000: URL 'svn+ssh://repo.freebsd.org/ports/branches/2020Q3/databases/ateam_mysql57_ldap_auth' doesn't exist

This port was added after the branching of 2020Q3

You can close this PR :-)